Package org.apache.catalina.valves.rewrite

## Class RewriteCond.Condition

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RewriteCond.Condition

- Direct Known Subclasses:
    `RewriteCond.LexicalCondition`, `RewriteCond.PatternCondition`, `RewriteCond.ResourceCondition`
  Enclosing class:
    RewriteCond

      public abstract static class RewriteCond.Condition
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Condition()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `evaluate​(java.lang.String value, Resolver resolver)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Condition

          public Condition()

  - ### Method Detail

    - #### evaluate

          public abstract boolean evaluate​(java.lang.String value,
                                           Resolver resolver)